FFPROBE(1)

NAME
ffprobe - FFprobe media prober

SYNOPSIS
ffprobe [options] [input_file]

DESCRIPTION
FFprobe gathers information from multimedia streams and prints it in human- and machine-readable fashion.

For example it can be used to check the format of the container used by a multimedia stream and the format and type of each media stream contained in it.

If a filename is specified in input, ffprobe will try to open and probe the file content. If the file cannot be opened or recognized as a multimedia file, a positive exit code is returned.

FFprobe may be employed both as a standalone application or in combination with a textual filter, which may perform more sophisticated processing, e.g. statistical processing or plotting.

Options are used to list some of the formats supported by ffprobe or for specifying which information to display, and for setting how ffprobe will show it.

FFprobe output is designed to be easily parsable by a textual filter, and consists of one or more sections of the form:

        [SECTION]
        key1=val1
        ...
        keyN=valN
        [/SECTION]

Metadata tags stored in the container or in the streams are recognized and printed in the corresponding ``FORMAT'' or ``STREAM'' section, and are prefixed by the string ``TAG:''.

OPTIONS
All the numerical options, if not specified otherwise, accept in input a string representing a number, which may contain one of the International System number postfixes, for example 'K', 'M', 'G'. If 'i' is appended after the postfix, powers of 2 are used instead of powers of 10. The 'B' postfix multiplies the value for 8, and can be appended after another postfix or used alone. This allows using for example 'KB', 'MiB', 'G' and 'B' as postfix.

Options which do not take arguments are boolean options, and set the corresponding value to true. They can be set to false by prefixing with "no" the option name, for example using "-nofoo" in the commandline will set to false the boolean option with name "foo".

  Generic options
These options are shared amongst the ff* tools.

-L  Show license.

-h, -?, -help, --help
    Show help.

-version
    Show version.

-formats
    Show available formats.

    The fields preceding the format names have the following meanings:

    D   Decoding available

    E   Encoding available

-codecs
    Show available codecs.

    The fields preceding the codec names have the following meanings:

    D   Decoding available

    E   Encoding available

    V/A/S
        Video/audio/subtitle codec

    S   Codec supports slices

    D   Codec supports direct rendering

    T   Codec can handle input truncated at random locations instead of only at frame boundaries

-bsfs
    Show available bitstream filters.

-protocols
    Show available protocols.

-filters
    Show available libavfilter filters.

-pix_fmts
    Show available pixel formats.

-loglevel loglevel
    Set the logging level used by the library. loglevel is a number or a string containing one of the following values:

    quiet
    panic
    fatal
    error
    warning
    info
    verbose
    debug

    By default the program logs to stderr, if coloring is supported by the terminal, colors are used to mark errors and warnings. Log coloring can be disabled setting the environment variable NO_COLOR.

  Main options

-convert_tags
    Convert the tag names in the format container to the generic FFmpeg tag names.

-f format
    Force format to use.

-unit
    Show the unit of the displayed values.

-prefix
    Show a SI prefixes of the displayed values. Unless ``-byte_binary_prefix'' option is used all the prefix are decimal.

-byte_binary_prefix
    Force the use of binary prefixes for byte values.

-sexagesimal
    Use sexagesimal format HH:MM:SS.MICROSECONDS for time values.

-pretty
    Prettify the format of the displayed values, it corresponds to the options ``-unit -prefix -byte_binary_prefix -sexagesimal''.

-show_format
    Show information about the container format of the input multimedia stream.

    All the container format information is printed within a section with name ``FORMAT''.

-show_packets
    Show information about each packet contained in the input multimedia stream.

    The information for each single packet is printed within a dedicated section with name ``PACKET''.

-show_streams
    Show information about each media stream contained in the input multimedia stream.

    Each media stream information is printed within a dedicated section with name ``STREAM''.

INPUT DEVICES
Input devices are configured elements in FFmpeg which allow to access the data coming from a multimedia device attached to your system.

When you configure your FFmpeg build, all the supported input devices are enabled by default. You can list them using the configure option "--list-indevs".

You can disable all the input devices using the configure option "--disable-indevs", and selectively enable an input device using the option "--enable-indev=INDEV", or you can disable a particular input device using the option "--disable-indev=INDEV".

The option "-formats" of the ff* tools will display the list of supported input devices (amongst the demuxers).

A description of the currently available input devices follows.

  alsa
ALSA (Advanced Linux Sound Architecture) input device.

To enable this input device during configuration you need libasound installed on your system.

This device allows to capture from an ALSA device. The name of the device to capture has to be an ALSA card identifier.

An ALSA identifier has the syntax:

        hw:<CARD>[,<DEV>[,<SUBDEV>]]

where the DEV and SUBDEV components are optional.

The three arguments (in order: CARD,DEV,SUBDEV) specify card number or identifier, device number and subdevice number (-1 means any).

To see the list of cards currently recognized by your system check the files /proc/asound/cards and /proc/asound/devices.

For example to capture with ffmpeg from an alsa device with card id 0, you may run the command:

        ffmpeg -f alsa -i hw:0 alsaout.wav

For more information see: <http://www.alsa-project.org/alsa-doc/alsa-lib/pcm.html>

  audio_beos
BeOS audio input device.

  bktr
BSD video input device.

  dv1394
Linux DV 1394 input device.

  jack
Jack input device.

To enable this input device during configuration you need libjack installed on your system.

A jack input device creates one or more jack writable clients, one for each audio channel, with name client_name:input_N, where client_name is the name provided by the application, and N is a number which identifies the channel. Each writable client will send the acquired data to the FFmpeg input device.

Once you have created one or more jack readable clients, you need to connect them to one or more jack writable clients.

To connect or disconnect jack clients you can use the jack_connect and jack_disconnect programs, or do it through a graphical interface, for example with qjackctl.

To list the jack clients and their properties you can invoke the command jack_lsp.

Follows an example which shows how to capture a jack readable client with ffmpeg.

        # create a jack writable client with name "ffmpeg"
        $ ffmpeg -f jack -i ffmpeg -y out.wav

        # start the sample jack_metro readable client
        $ jack_metro -b 120 -d 0.2 -f 4000

        # list the current jack clients
        $ jack_lsp -c
        system:capture_1
        system:capture_2
        system:playback_1
        system:playback_2
        ffmpeg:input_1
        metro:120_bpm

        # connect metro to the ffmpeg writable client
        $ jack_connect metro:120_bpm ffmpeg:input_1

For more information read: <http://jackaudio.org/>

  libdc1394
IIDC1394 input device, based on libdc1394 and libraw1394.

  oss
Open Sound System input device.

The filename to provide to the input device is the device node representing the OSS input device, and is usually set to /dev/dsp/.

For example to grab from /dev/dsp/ using ffmpeg use the command:

        ffmpeg -f oss -i /dev/dsp /tmp/oss.wav

For more information about OSS see: <http://manuals.opensound.com/usersguide/dsp.html>

  video4linux and video4linux2
Video4Linux and Video4Linux2 input video devices.

The name of the device to grab is a file device node, usually Linux systems tend to automatically create such nodes when the device (e.g. an USB webcam) is plugged to the system, and has a name of the kind /dev/videoN, where N is a number associated to the device.

Video4Linux and Video4Linux2 devices only support a limited set of widthxheight sizes and framerates. You can check which are supported for example using the command dov4l for Video4Linux devices, and the command v4l-info for Video4Linux2 devices.

If the size for the device is set to 0x0, the input device will try to autodetect the size to use.

Video4Linux support is deprecated since Linux 2.6.30, and will be dropped in later versions.

Follow some usage examples of the video4linux devices with the ff* tools.

        # grab and show the input of a video4linux device
        ffplay -s 320x240 -f video4linux /dev/video0

        # grab and show the input of a video4linux2 device, autoadjust size
        ffplay -f video4linux2 /dev/video0

        # grab and record the input of a video4linux2 device, autoadjust size
        ffmpeg -f video4linux2 -i /dev/video0 out.mpeg

  vfwcap
VFW (Video For Window) catpure input device.

  x11grab
X11 video input device.

This device allows to capture a region of an X11 display.

The filename passed in input has the syntax:

        [<hostname>]:<display_number>.<screen_number>[+<x_offset>,<y_offset>]

hostname:display_number.screen_number specifies the X11 display name of the screen to grab from. hostname can be not specified, and defaults to "localhost". The environment variable DISPLAY contains the default display name.

x_offset and y_offset specify the offsets of the grabbed area with respect to the top/left border of the X11 screen image. They default to 0.

Check the X11 documentation (e.g. man X) for more detailed information.

Use the dpyinfo program for getting basic information about the properties of your X11 display screen (e.g. grep for "name" or "dimensions").

For example to grab from :0.0 using ffmpeg:

        ffmpeg -f x11grab -r 25 -s cif -i :0.0 out.mpg

        # grab at position 10,20
        ffmpeg -f x11grab -25 -s cif -i :0.0+10,20 out.mpg

SEE ALSO
ffmpeg(1), ffplay(1), ffserver(1) and the FFmpeg HTML documentation

AUTHORS
The FFmpeg developers